Name:           aboot-update
Version:        0.8.6
Release:        1000%{?dist}
Summary:        Update aboot from kernel/initrd

License:        GPLv2+
URL:            https://gitlab.com/CentOS/automotive/src/aboot-update
Source0:        https://gitlab.com/ernunes/aboot-update/-/archive/bootconfig-fixes/aboot-update-bootconfig-fixes.tar.gz

Requires:       android-tools
Requires:       aboot-deploy
Requires:       kernel-tools
Requires:       unzboot
Requires:       file

%global debug_package %{nil}

%description

Aboot-update is a tool that given a kernel version creates an android
boot image (aboot) file called /boot/aboot-VERSION.img based on the
options specified in /boot/aboot.cfg.

There is also a kernel-install script (90-aboot.install) that automatically
runs this on each new kernel install if the kernel install layout is set
to aboot.

%prep
%autosetup -n %{name}-bootconfig-fixes

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/lib/kernel/install.d
install -m755 aboot-update %{buildroot}%{_bindir}/aboot-update
install -m755 90-aboot.install %{buildroot}%{_prefix}/lib/kernel/install.d/90-aboot.install

%files
%{_bindir}/aboot-update
%{_prefix}/lib/kernel/install.d/90-aboot.install

%changelog
* Wed May 7 2025 Ian Mullins <imullins@redhat.com> - 0.8.6-1
- Make the repo a dist-git repo only

* Tue Apr 29 2025 Alexander Larsson  <alexl@redhat.com> - 0.8.5-1
- Always pass --uname to ukify

* Tue Apr 29 2025 Alexander Larsson  <alexl@redhat.com> - 0.8.4-1
- Fixed non-ukiboot use

* Mon Apr 28 2025 Alexander Larsson  <alexl@redhat.com> - 0.8.3-1
- Update ukiboot to support dtb too

* Mon Apr 21 2025 Dana Elfassy <delfassy@redhat.com>
- Support ukiboot

* Fri Nov 08 2024 Brian Masney <bmasney@redhat.com>
- Various shellcheck fixes
- Various cleanups and consistency updates
- Clean up output of usage
- Write a bootconfig file for long kernel parameters.

* Mon Jul 22 2024 Martin McConnell <mmcconne@redhat.com>
- Remove hardcoded 40MB limit and replace it with a boolean
  flag that determines whether or not the kernel image should
  be compressed.

* Tue Apr 23 2024 Eric Curtin <ecurtin@redhat.com>
- Enable vbmeta generation

* Wed Apr 17 2024 Ian Mullins <imullins@redhat.com>
- Remove hard link to aboot.img.

* Thu Apr 11 2024 Eric Curtin <ecurtin@redhat.com>
- Add aboot-deploy step for kernel upgrades.

* Tue Mar 26 2024 Eric Curtin <ecurtin@redhat.com>
- BLS file format changed in ostree.

* Wed Mar 20 2024 Eric Curtin <ecurtin@redhat.com>
- If kernel is larger than 40M, use compression, bug fix for
  earlier change.

* Sat Mar 16 2024 Eric Curtin <ecurtin@redhat.com>
- Skip mkbootimg generation on second call of aboot-update in ostree
  builds

* Wed Mar 13 2024 Brian Masney <bmasney@redhat.com>
- Add file package as a dependency.

* Thu Feb 22 2024 Ian Mullins <imullins@redhat.com>
- Increase kernel size threshold for compression to 40MB.

* Mon Dec 18 2023 Brian Masney <bmasney@redhat.com>
- Add support for kernels built using the vmlinuz.efi upstream kernel
  build target. This is how the Fedora kernel is built on aarch64.
- Remove abootimg dependency

* Wed Sep 13 2023 Eric Curtin <ecurtin@redhat.com>
- Make the package buildable on Fedora.

* Wed Aug 30 2023 Brian Masney <bmasney@redhat.com>
- Don't decompress the kernel for the debug variant since it makes
  the overall image too large to fit onto the boot partitions.

* Tue Aug 22 2023 Brian Masney <bmasney@redhat.com>
- Decompress the kernel to help with boot time.
- Various shellcheck cleanups.

* Fri Jul 21 2023 Eric Curtin <ecurtin@redhat.com>
- we now use androidboot.slot_suffix= to check if we are aboot
  or not and ostree= to parse the stateroot.

* Sat Jul 15 2023 Eric Curtin <ecurtin@redhat.com>
- Add mkbootimg support and some initial boilerplate for
  vbmeta

* Tue Jul 04 2023 Eric Curtin <ecurtin@redhat.com>
- Substitute ostree= with ostree=aboot for this case, so
  ostree knows how to boot correctly.

* Mon Mar 20 2023 Eric Curtin <ecurtin@redhat.com>
- Changes to allow for relative paths and absolute paths when
  specifying dtbs

* Tue Mar 14 2023 Eric Curtin <ecurtin@redhat.com>
- try to create both links

* Mon Mar 13 2023 Eric Curtin <ecurtin@redhat.com>
- extra link to satisfy osbuild

* Wed Jan 11 2023 Eric Curtin <ecurtin@redhat.com>
- ostree enablement

* Fri Aug 19 2022 Alexander Larsson <alexl@redhat.com>
- Initial version
